Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "16c74a6c-ea35-4e96-ad11-65f2f4c2ed58",
"user_id": "bacfdd40-9b70-40be-ab5f-5ea8a7933ea9",
"user_planning_slot_type_id": "4f5feb2a-dcf9-4542-a6e1-2317205702c9",
"date_from": "2026-11-09T11:18:14.230226+00:00",
"date_to": "2026-11-09T11:18:14.230226+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-11-09T11:18:14.230226+00:00"
}